﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;

<style>
    .buLeft {
        display: inline-block;
        clear: none;
        float: left;
        margin-left: 0px;
        margin-right: 2px;
    }

    .buRight {
        display: inline-block;
        clear: none;
        float: right;
        margin-left: 10px;
        margin-right: 0px;
    }

    .toLabel {
        width: 20px;
        text-align: center;
    }
</style>

<table style="width:100%">
    @*baris 1*@
    <tr>
        <td style="width:120px">
            @Html.DevExpress().Label(
                edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Buyer Code";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                }
                     ).GetHtml()
        </td>
        <td style="width:200px">
            @Html.DevExpress().TextBox(e =>
            {
                e.Name = "OIBuyerCd";
                e.Properties.ClientInstanceName = "OIBuyerCd";
                e.Width = System.Web.UI.WebControls.Unit.Percentage(60);
            }).GetHtml()
        </td>
         <td style="width:120px;">
             @Html.DevExpress().Label(
                edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Material No";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                }
                     ).GetHtml()
         </td>
        <td style="width:200px">
            @Html.Common().DevExpress().GridLookup(
                        gridLookup => {
                            gridLookup.Name = "OIMatNo";
                            gridLookup.Width = 170;
                            gridLookup.GridProperties.KeyFieldName = "MAT_NO";
                            gridLookup.GridProperties.CallbackRouteValues = new { Controller = "BuyingPriceMaintenance", Action = "PartialHeaderMaterial" };
                            gridLookup.ReadOnly = true;
                            //if (Model.GetModel<List<MaterialICS>>().Count == 1)
                            //{
                            //    gridLookup.Text = Model.GetModel<List<MaterialICS>>()[0].MAT_NO;
                            //}

                            gridLookup.GridProperties.Columns.Add(
                            column =>
                            {
                                column.Name = "MAT_NO";
                                column.FieldName = "MAT_NO";
                                column.Caption = "Material No";
                                column.Width = Unit.Pixel(120);
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });
                    
                              gridLookup.GridProperties.Columns.Add(column =>
                            {
                                column.Name = "MAT_DESC";
                                column.FieldName = "MAT_DESC";
                                column.Caption = "Material Desc";
                                column.Width = Unit.Pixel(500);
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });

                       }).Bind(ViewData["lookUPmaterial"]).GetHtml()
        </td>
       <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Release Status";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
            edtSettings =>
            {
                edtSettings.Name = "OIPReleaseOption";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(110);
                edtSettings.Properties.Items.Add("", "");
                edtSettings.Properties.Items.Add("Yes", "Y");
                edtSettings.Properties.Items.Add("No", "N");
                edtSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                edtSettings.Width = Unit.Pixel(110);
            }).GetHtml()

        </td>

        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "*Price Type";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
            edtSettings =>
            {
                edtSettings.Name = "OIPPriceTypeOption";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(110);
                edtSettings.Properties.Items.Add("", "");
                edtSettings.Properties.Items.Add("Buying Price", "Buying Price");
                edtSettings.Properties.Items.Add("Draft Price", "Draft Price");
                edtSettings.Properties.Items.Add("Buying and Revised Price", "Buying and Revised Price");               
                edtSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                edtSettings.Width = Unit.Pixel(110);
            }).GetHtml()

        </td>

    </tr>

    @*baris 2*@
    <tr>
        <td style="width:120px">
            @Html.DevExpress().Label(
                edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Supplier Code";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                }
                     ).GetHtml()
        </td>
        <td style="width:200px">
            @Html.Common().DevExpress().GridLookup(
                gridLookup => {
                    gridLookup.Name = "OISupplierCd";
                    gridLookup.Width = 170;
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "BuyingPriceMaintenance", Action = "PartialHeaderSupplierCode" };
                    gridLookup.ReadOnly = true;
                    if (Model.GetModel<List<SupplierICS>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<SupplierICS>>()[0].SUPP_CD;
                    }

                    gridLookup.GridProperties.Columns.Add(
                    column =>
                    {
                        column.Name = "SUPP_CD";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br/>Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    
                      gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPP_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Vendor<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

               }).Bind(Model.GetModel<List<SupplierICS>>()).GetHtml()
        </td>
         <td style="width:120px;">
             @Html.DevExpress().Label(
                edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Material Desc";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                }
                     ).GetHtml()
         </td>
        <td style="width:200px">
            @Html.DevExpress().TextBox(e =>
            {
                e.Name = "OIMatDesc";
                e.Properties.ClientInstanceName = "OIMatDesc";
                e.Width = System.Web.UI.WebControls.Unit.Percentage(100);
            }).GetHtml()
        </td>
       <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Price Status";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
            edtSettings =>
            {
                edtSettings.Name = "OIPriceStatus";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(110);
                edtSettings.Properties.Items.Add("", "");
                edtSettings.Properties.Items.Add("F", "F");
                edtSettings.Properties.Items.Add("T", "T");
                edtSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                edtSettings.Width = Unit.Pixel(110);
            }).GetHtml()

        </td>

        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Packing Type";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
            pt =>
            {
                pt.Name = "OIPackingType";
                pt.Width = Unit.Pixel(170);
                pt.Properties.Items.Add("", "");
                pt.Properties.TextField = "Text";
                pt.Properties.ValueField = "Val";                        
                pt.Properties.DropDownStyle = DropDownStyle.DropDownList;
                pt.Properties.Columns.Add("Val", "Code");
                pt.Properties.Columns.Add("Text", "Text"); 
            }).BindList(ViewData["DropdownlistPackingType"]).GetHtml()

        </td>

    </tr>

    @*baris 3*@
    <tr>
        <td style="width:100px">
            @Html.DevExpress().Label(
                edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Source Data";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                }
                     ).GetHtml()
        </td>
        <td style="width:220px">
            @Html.DevExpress().ComboBox(
            pt =>
            {
                pt.Name = "OISourceData";
                pt.Width = Unit.Pixel(170);
                pt.Properties.Items.Add("", "");
                pt.Properties.TextField = "Text";
                pt.Properties.ValueField = "Val";                        
                pt.Properties.DropDownStyle = DropDownStyle.DropDownList;
                pt.Properties.Columns.Add("Val", "Code");
                pt.Properties.Columns.Add("Text", "Text"); 
            }).BindList(ViewData["DropdownlistSourceData"]).GetHtml()
        </td>
         <td style="width:100px">
            @Html.DevExpress().Label(
                edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Warp Ref No";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                }
                     ).GetHtml()
        </td>
        <td style="width:220px">
            @Html.DevExpress().TextBox(e =>
            {
                e.Name = "OIWarpRefNo";
                e.Properties.ClientInstanceName = "OIWarpRefNo";
                e.Width = System.Web.UI.WebControls.Unit.Percentage(60);
            }).GetHtml()
        </td>
       <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Deletion Flag";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
            edtSettings =>
            {
                edtSettings.Name = "OIDeletionFlag";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(110);
                edtSettings.Properties.Items.Add("", "");
                edtSettings.Properties.Items.Add("Yes", "Y");
                edtSettings.Properties.Items.Add("No", "N");
                edtSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                edtSettings.Width = Unit.Pixel(110);
            }).GetHtml()

        </td>

        <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Source Type";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
            pt =>
            {
                pt.Name = "OISourceType";
                pt.Width = Unit.Pixel(170);
                pt.Properties.Items.Add("", "");
                pt.Properties.TextField = "Text";
                pt.Properties.ValueField = "Val";                        
                pt.Properties.DropDownStyle = DropDownStyle.DropDownList;
                pt.Properties.Columns.Add("Val", "Code");
                pt.Properties.Columns.Add("Text", "Text"); 
            }).BindList(ViewData["SourceTypeCombo"]).GetHtml()

        </td>

    </tr>

    
    @*baris 4*@
    <tr>
        <td style="width:120px;">
             @Html.DevExpress().Label(
                edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Price Confirmation No";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                }
                     ).GetHtml()
         </td>
        <td style="width:200px">
            @Html.DevExpress().TextBox(e =>
            {
                e.Name = "OIPCNo";
                e.Properties.ClientInstanceName = "OIPCNo";
                e.Width = System.Web.UI.WebControls.Unit.Percentage(90);
            }).GetHtml()
        </td>
         <td style="width:120px;">
             @Html.DevExpress().Label(
                edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Production Purpose";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                }
                     ).GetHtml()
         </td>
        <td style="width:200px">
            @Html.DevExpress().ComboBox(
            cpp =>
            {
                cpp.Name = "OIProdPurpose";
                cpp.Width = Unit.Pixel(170);
                cpp.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                cpp.Properties.TextField = "Text";
                cpp.Properties.ValueField = "Val";
                cpp.Properties.DropDownStyle = DropDownStyle.DropDown;
                cpp.Properties.Columns.Add("Val", "Code", Unit.Pixel(60));
                cpp.Properties.Columns.Add("Text", "Name");

            }).BindList(ViewData["DropdownlistProd"]).GetHtml()
        </td>
       <td style="width:80px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "CPP Flag";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
            edtSettings =>
            {
                edtSettings.Name = "OICppFlag";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(110);
                edtSettings.Properties.Items.Add("", "");
                edtSettings.Properties.Items.Add("Yes", "Y");
                edtSettings.Properties.Items.Add("No", "N");
                edtSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                edtSettings.Width = Unit.Pixel(110);
            }).GetHtml()

        </td>

        <td style="width:80px">
        </td>
        <td>
        </td>

    </tr>

    @*baris 5*@
    <tr>
        <td style="width:120px">
            @Html.DevExpress().Label(
                edtSetitng => {
                    edtSetitng.ControlStyle.CssClass = "label";
                    edtSetitng.Text = "Valid From";
                    edtSetitng.ControlStyle.Wrap = DefaultBoolean.False;
                }
                     ).GetHtml()
        </td>
        <td style="width:320px">
            <div class="buLeft">
                @Html.DevExpress().DateEdit(
                e =>
                {
                    e.Properties.ClientInstanceName = "OIValidFrom";
                    e.Name = "OIValidFrom";
                    e.Width = 100;
                    e.Properties.EditFormatString = "dd.MM.yyyy";
                    //e.Date = DateTime.Now; //.AddMonths(-1);
                    e.Properties.ClientSideEvents.DateChanged = "OnDateChanged";
                }).GetHtml()
            </div>
            <div class="buLeft toLabel">
                @Html.DevExpress().Label(
                l =>
                {
                    l.ControlStyle.CssClass = "label";
                    l.Text = "To";
                }).GetHtml()
            </div>
            <div class="buLeft">
                @Html.DevExpress().DateEdit(
                e =>
                {
                    e.Properties.ClientInstanceName = "OIValidTo";
                    e.Name = "OIValidTo";
                    e.Width = 100;
                    //e.Date = DateTime.Now;
                    e.Properties.EditFormatString = "dd.MM.yyyy";
                    e.Properties.ClientSideEvents.DateChanged = "OnDateChanged";
                }).GetHtml()
            </div>
        </td>

    </tr>
</table>
<table width="100%" id="TblSearch">
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td style="width:90px;"></td>
        <td style="width:1200px;"></td>
        <td style="width:90px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPSearchButton";
                    edtSetting.Text = "Search";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPSearchButtonClick";
                }
            ).GetHtml()
        </td>
        <td style="width:90px;">
            @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "OIPClearButton";
                    edtSetting.Text = "Clear";
                    edtSetting.Width = Unit.Pixel(80);
                    edtSetting.ClientSideEvents.Click = "OnOIPClearButtonClick";
                }
            ).GetHtml()
        </td>
    </tr>
</table>


<script type="text/javascript">
    $(document).ready(function () {

        //OIValidTo.SetText('31.12.9999');
        OIPPriceTypeOption.SetText('Draft Price');
    });
</script>